package com.ruoyi.brewery.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 品牌方广告图对象 wy_brewery_banner
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public class WyBreweryBanner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 广告图类型 */
    @Excel(name = "广告图类型")
    private Integer bannerType;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Integer bannerOrder;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String bannerUrl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBreweryId(Long breweryId) 
    {
        this.breweryId = breweryId;
    }

    public Long getBreweryId() 
    {
        return breweryId;
    }
    public void setBannerType(Integer bannerType) 
    {
        this.bannerType = bannerType;
    }

    public Integer getBannerType() 
    {
        return bannerType;
    }
    public void setBannerOrder(Integer bannerOrder) 
    {
        this.bannerOrder = bannerOrder;
    }

    public Integer getBannerOrder() 
    {
        return bannerOrder;
    }
    public void setBannerUrl(String bannerUrl) 
    {
        this.bannerUrl = bannerUrl;
    }

    public String getBannerUrl() 
    {
        return bannerUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("breweryId", getBreweryId())
            .append("bannerType", getBannerType())
            .append("bannerOrder", getBannerOrder())
            .append("bannerUrl", getBannerUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
